[Overview][Constants][Types][Index] | Reference for unit 'unixtype' (#rtl)

# _pthread_fastlock

Fast lock (mutex) type (opaque).

## Declaration

Source position: ptypes.inc line 206

`type _pthread_fastlock = record`
`__status: clong;` |  | ?
`__spinlock: cint;` |  | ?
`end;`

## Description

_pthread_fastlock describes a thread mutex. It should be considered an opaque record, the names of the fields can change anytime.

Documentation generated on: Feb 26 2014